Prestashop extiende el soporte de Prestashop 1.6 hasta junio 2019

Prestashop ha decidido prorrogar las actualizaciones a Prestashop 1.6 y extender el soporte hasta el mes de junio del 2019.

18 Oct 2018

El mantenimiento de soporte por parte de Prestashop hacia Prestashop 1.6 había sido previsto, en un principio, hasta octubre del 2018. Sin embargo, la plataforma ha informado a sus clientes que se extenderá el soporte de Prestashop 1.6 hasta el mes de junio de 2019.

Pero, ¿cuál es la razón de este cambio? Tal y como se ha informado, uno de los objetivos principales es acompañar a sus clientes en la transición hacia Prestashop 1.7, y es que esta versión pese a que comienza dar esperanzas de un gran cambio, su transición hacia Symfony está siendo más lenta de lo que se esperaba.

¿Hasta cuando durará Prestashop 1.6

No lo sabemos a ciencia cierta, un año más puede ser tiempo más que suficiente para poder finalizar la migración hacia Symfony. Pero en programación los tiempos nunca son exactos, en nuestra opinión la extensión del soporte hasta 2019 se debe a los siguientes puntos:

  • Prestashop 1.7 aun no es estable, presenta bastantes errores
  • La migración hacia Symfony aún le quedan muchos meses de desarrollo.
  • La versión 1.6 sigue siendo la más estable y potente.
  • El negocio de Prestashop se basa en la Addons, donde la versión 1.6 es la que más módulos tiene desarrollados, hacer un cambio rápido podría afectar a sus ventas.
  • Actualizar a la nueva versión de Prestashop sigue siendo complejo, supongo que este punto también los estarán tratando.
  • No cometer errores del pasado sacando una versión no terminada sin opción a nada más.

Nosotros, de igual manera, seguiremos manteniendo los planes de mantenimiento para Prestashop 1.6 posiblemente mucho más tiempo del que indica Prestashop, siempre hay regazados que no desean ir a la última.

Extensión de mantenimiento de Prestashop 1.6

Todo ello surge a raíz de los comentarios, opiniones y sugerencias que la plataforma ha recibido por parte de sus usuarios y trabajadores. Y sobre todo con los problemas que tuvo hace unas semanas donde todos los Prestashop del mundo experimentaron una lentitud en todos los backoffice debido a un cuello de botella que tenía en la Addons o en su API de conexión con todas las tiendas.

El objetivo es corregir problemas, y que no afecte a todas las empresas, ya que a día de hoy Prestashop 1.6 podemos decir que es la versión más estable, más potente y con mayor cantidad de módulos desarrollados, por nuestra parte, 4webs seguirá ofreciendo soporte de igual forma a Prestashop 1.6

La extensión de mantenimiento consistirá principalmente en atacar las brechas existentes de seguridad, así como también en corregir y mejorar los errores críticos. De igual forma, se espera que Prestashop 1.7 incorpore todos esos detalles que se vayan detectando y sobre todo que continue su migración total de Smarty hacia Symfony.

También cabe resaltar que durante esta extensión no se procesarán los informes que traten sobre errores de índole menor, así como tampoco los diversos ajustes requeridos para actualizar el sistema.

Problemas… actualizar la tienda a Prestashop 1.7

En lo que se refiere a las características técnicas, Prestashop 1.7 también presenta importantes avances.

De hecho, la nueva versión va mucho más allá de las típicas pruebas de rendimiento y en este caso se está realizando la migración de código al sistema Symfony, lo que se traduce en muchas más oportunidades de desarrollo e integración, por lo menos para las empresas de desarrollo que tendremos que reprogramar todos nuestros módulos como auténticos expertos en Prestashop.

En la práctica, migrar hacia la versión 1.7 es lo más recomendable, especialmente si se busca tener una tienda online mucho más segura, y con funcionalidades y características que mejoren la interacción y la experiencia con el cliente final.

Sin embargo, es importante que la migración de 1.6 a 1.7 se realice de forma profesional si no se quiere perder posicionamiento por cambio de URLS, y sobre todo porque a día de hoy es un proceso muy artesanal.

Y aquí es donde radica el problema de pasar de Prestashop 1.6 a 1.7, imaginamos que además de los problemas que ha tenido Prestashop en su migración hacia Symfony, es probable que el número de migraciones hacia Prestashop 1.7 sea por el momento inferior al esperado.

Posiblemente, debido a los problemas que hay en hacer una buena migración, donde el sistema no se puede actualizar de forma sencilla, y donde el actualizador desarrollado por Prestashop simplemente no funciona, y requiere de manos expertas para poder realizar estas tareas de actualización.

Deja un comentario